## LassoSamlp2StatusCode

LassoSamlp2StatusCode — <samlp2:StatusCode>

## Functions

LassoNode * | lasso_samlp2_status_code_new ()

## Types and Values

struct | LassoSamlp2StatusCode

## Description

Figure 88. Schema fragment for samlp2:StatusCode

    <complexType name="StatusCodeType">
      <sequence>
        <element ref="samlp:StatusCode" minOccurs="0"/>
      </sequence>
      <attribute name="Value" type="anyURI" use="required"/>
    </complexType>

## Functions

### lasso_samlp2_status_code_new ()

    LassoNode *
    lasso_samlp2_status_code_new (void);

Creates a new LassoSamlp2StatusCode object.

#### Returns

a newly created LassoSamlp2StatusCode object

## Types and Values

### struct LassoSamlp2StatusCode

    struct LassoSamlp2StatusCode {
    	LassoNode parent;

    	/* elements */
    	LassoSamlp2StatusCode *StatusCode;
    	/* attributes */
    	char *Value;
    };